Integrating the Angular Rich Text Editor into a Tab Component

18 Nov 20183 minutes to read

Integrating a Rich Text Editor within Tab component provides a versatile and organized user interface for text formatting and content creation across multiple tabs. Each tab instance includes a dedicated editor instance configured with extensive toolbar options, enabling users to effortlessly manipulate text styles, apply formatting, insert media, and manage content layout.

import { Component } from '@angular/core';
import { TabModule } from '@syncfusion/ej2-angular-navigations';
import { RichTextEditorModule, ToolbarSettingsModel, ToolbarService, LinkService, ImageService, HtmlEditorService, QuickToolbarService, PasteCleanupService } from '@syncfusion/ej2-angular-richtexteditor';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';

@Component({
  imports: [RichTextEditorModule, TabModule, ButtonModule],
  standalone: true,
  selector: 'app-root',
  template: `
    <ejs-tab #tab>
    <e-tabitems>
    <e-tabitem>
        <ng-template #headerText>
           <div> TAB1 </div>
        </ng-template>
        <ng-template #content>
        <ejs-richtexteditor #editor1 [toolbarSettings]='tools' [value]="value"></ejs-richtexteditor>
        </ng-template>
    </e-tabitem>
    <e-tabitem>
        <ng-template #headerText>
           <div> TAB2 </div>
        </ng-template>
        <ng-template #content>
        <ejs-richtexteditor #editor2 [toolbarSettings]='tools' [value]="value"></ejs-richtexteditor>
        </ng-template>
    </e-tabitem>
    <e-tabitem>
        <ng-template #headerText>
           <div> TAB3 </div>
        </ng-template>
        <ng-template #content>
        <ejs-richtexteditor #editor3 [toolbarSettings]='tools' [value]="value"></ejs-richtexteditor>
        </ng-template>
    </e-tabitem>
</e-tabitems>
</ejs-tab>`,
  providers: [ToolbarService, LinkService, ImageService, HtmlEditorService, QuickToolbarService, PasteCleanupService]
})

export class AppComponent {

  public value: string =
    "<p>The Rich Text Editor component is the WYSIWYG ('what you see is what you get') editor that provides the best user experience to create and update content. Users can format their content using standard toolbar commands.</p>";
  public tools: ToolbarSettingsModel = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
      'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
      'LowerCase', 'UpperCase', '|',
      'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
      'Outdent', 'Indent', '|',
      'CreateLink', 'Image', '|', 'ClearFormat', 'Print',
      'SourceCode', 'FullScreen', '|', 'Undo', 'Redo']
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Integrating Rich Text Editor in Tab Components

18 Nov 201824 minutes to read

Integrating a Rich Text Editor within Tab components provides a versatile and organized user interface for text formatting and content creation across multiple tabs. Each tab instance includes a dedicated editor instance configured with extensive toolbar options, enabling users to effortlessly manipulate text styles, apply formatting, insert media, and manage content layout.

[Class-component]

import {TabComponent,TabItemDirective,TabItemsDirective} from '@syncfusion/ej2-react-navigations';
import {HtmlEditor,Image,Inject,Link,QuickToolbar,RichTextEditorComponent,Toolbar,Table,PasteCleanup} from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component {
  constructor(props) {
    super(props);
    this.editorRef1 = React.createRef();
    this.editorRef2 = React.createRef();
    this.editorRef3 = React.createRef();
    this.headerText = [{ text: 'TAB 1' }, { text: 'TAB 2' }, { text: 'TAB 3' }];
    this.tools = {
      items: [
        'Bold',
        'Italic',
        'Underline',
        'StrikeThrough',
        'FontName',
        'FontSize',
        'FontColor',
        'BackgroundColor',
        'LowerCase',
        'UpperCase',
        '|',
        'Formats',
        'Alignments',
        'OrderedList',
        'UnorderedList',
        'Outdent',
        'Indent',
        '|',
        'CreateLink',
        'Image',
        '|',
        'ClearFormat',
        'Print',
        'SourceCode',
        'FullScreen',
        '|',
        'Undo',
        'Redo',
      ],
    };
  }

  content1 = () => {
    return (
      <div>
        <RichTextEditorComponent
          ref={this.editorRef1}
          toolbarSettings={this.tools}
        >
          <Inject
            services={[
              Toolbar,
              Link,
              Image,
              HtmlEditor,
              QuickToolbar,
              Table,
              PasteCleanup,
            ]}
          />
        </RichTextEditorComponent>
      </div>
    );
  };

  content2 = () => {
    return (
      <div>
        <RichTextEditorComponent
          ref={this.editorRef2}
          toolbarSettings={this.tools}
        >
          <Inject
            services={[
              Toolbar,
              Link,
              Image,
              HtmlEditor,
              QuickToolbar,
              Table,
              PasteCleanup,
            ]}
          />
        </RichTextEditorComponent>
      </div>
    );
  };

  content3 = () => {
    return (
      <div>
        <RichTextEditorComponent
          ref={this.editorRef3}
          toolbarSettings={this.tools}
        >
          <Inject
            services={[
              Toolbar,
              Link,
              Image,
              HtmlEditor,
              QuickToolbar,
              Table,
              PasteCleanup,
            ]}
          />
        </RichTextEditorComponent>
      </div>
    );
  };
    
    render() {
        return (<div>
            <TabComponent heightAdjustMode="Auto">
              <TabItemsDirective>
                <TabItemDirective
                  header={this.headerText[0]}
                  content={this.content1}
                />
                <TabItemDirective
                  header={this.headerText[1]}
                  content={this.content2}
                />
                <TabItemDirective
                  header={this.headerText[2]}
                  content={this.content3}
                />
              </TabItemsDirective>
        </TabComponent>
      </div>);
    }
}
export default App;
import {TabComponent,TabItemDirective,TabItemsDirective} from '@syncfusion/ej2-react-navigations';
import {HtmlEditor,Image,Inject,Link,QuickToolbar,RichTextEditorComponent,Toolbar,Table,PasteCleanup} from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component<{},{}> {
  private editorRef1: React.RefObject<RichTextEditorComponent>;
  private editorRef2: React.RefObject<RichTextEditorComponent>;
  private editorRef3: React.RefObject<RichTextEditorComponent>;
  private headerText: { text: string }[];
  private tools: { items: string[] };

  constructor(props: {}) {
    super(props);
    this.editorRef1 = React.createRef();
    this.editorRef2 = React.createRef();
    this.editorRef3 = React.createRef();
    this.headerText = [{ text: 'TAB 1' }, { text: 'TAB 2' }, { text: 'TAB 3' }];
    this.tools = {
      items: [
        'Bold', 'Italic', 'Underline', 'StrikeThrough',
        'FontName', 'FontSize', 'FontColor', 'BackgroundColor',
        'LowerCase', 'UpperCase', '|',
        'Formats', 'Alignments', 'OrderedList', 'UnorderedList',
        'Outdent', 'Indent', '|',
        'CreateLink', 'Image', '|',
        'ClearFormat', 'Print', 'SourceCode', 'FullScreen', '|',
        'Undo', 'Redo'
      ]
    };
  }

  private content1 = () => {
    return (
      <RichTextEditorComponent ref={this.editorRef1} toolbarSettings={this.tools}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar, Table, PasteCleanup]} />
      </RichTextEditorComponent>
    );
  }

  private content2 = () => {
    return (
      <RichTextEditorComponent ref={this.editorRef2} toolbarSettings={this.tools}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar, Table, PasteCleanup]} />
      </RichTextEditorComponent>
    );
  }

  private content3 = ()=> {
    return (
      <RichTextEditorComponent ref={this.editorRef3} toolbarSettings={this.tools}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar, Table, PasteCleanup]} />
      </RichTextEditorComponent>
    );
  }

    
    public render() {
      return (
        <div>
             <TabComponent heightAdjustMode='Auto'>
                <TabItemsDirective>
                  <TabItemDirective header={this.headerText[0]} content={this.content1} />
                  <TabItemDirective header={this.headerText[1]} content={this.content2} />
                  <TabItemDirective header={this.headerText[2]} content={this.content3} />
                </TabItemsDirective>
              </TabComponent>
        </div>
      );
    }
}

export default App;

[Functional-component]

import { useRef } from 'react';
import * as React from 'react';
import {TabComponent,TabItemDirective,TabItemsDirective} from '@syncfusion/ej2-react-navigations';
import {HtmlEditor,Image,Inject,Link,QuickToolbar,RichTextEditorComponent,Toolbar,Table,PasteCleanup} from '@syncfusion/ej2-react-richtexteditor';

function App() {
  let editorRef1 = useRef(null);
  let editorRef2 = useRef(null);
  let editorRef3 = useRef(null);
  let headerText = [{ text: 'TAB 1' }, { text: 'TAB 2' }, { text: 'TAB 3' }];
  const tools = {
    items: [
      'Bold',
      'Italic',
      'Underline',
      'StrikeThrough',
      'FontName',
      'FontSize',
      'FontColor',
      'BackgroundColor',
      'LowerCase',
      'UpperCase',
      '|',
      'Formats',
      'Alignments',
      'OrderedList',
      'UnorderedList',
      'Outdent',
      'Indent',
      '|',
      'CreateLink',
      'Image',
      '|',
      'ClearFormat',
      'Print',
      'SourceCode',
      'FullScreen',
      '|',
      'Undo',
      'Redo',
    ],
  };

  const content1 = () => {
    return (
      <div>
        <RichTextEditorComponent ref={editorRef1} toolbarSettings={tools}>
          <Inject
            services={[
              Toolbar,
              Link,
              Image,
              HtmlEditor,
              QuickToolbar,
              Table,
              PasteCleanup,
            ]}
          />
        </RichTextEditorComponent>
      </div>
    );
  };

  const content2 = () => {
    return (
      <div>
        <RichTextEditorComponent ref={editorRef2} toolbarSettings={tools}>
          <Inject
            services={[
              Toolbar,
              Link,
              Image,
              HtmlEditor,
              QuickToolbar,
              Table,
              PasteCleanup,
            ]}
          />
        </RichTextEditorComponent>
      </div>
    );
  };

  const content3 = () => {
    return (
      <div>
        <RichTextEditorComponent ref={editorRef3} toolbarSettings={tools}>
          <Inject
            services={[
              Toolbar,
              Link,
              Image,
              HtmlEditor,
              QuickToolbar,
              Table,
              PasteCleanup,
            ]}
          />
        </RichTextEditorComponent>
      </div>
    );
  };
  return (<div>
       <TabComponent heightAdjustMode="Auto">
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={content1} />
          <TabItemDirective header={headerText[1]} content={content2} />
          <TabItemDirective header={headerText[2]} content={content3} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
export default App;
import { useRef } from 'react';
import * as React from 'react';
import {TabComponent,TabItemDirective,TabItemsDirective} from '@syncfusion/ej2-react-navigations';
import {HtmlEditor,Image,Inject,Link,QuickToolbar,RichTextEditorComponent,Toolbar,Table,PasteCleanup} from '@syncfusion/ej2-react-richtexteditor';

function App() {
    let editorRef1 = useRef<RichTextEditorComponent>(null);
    let editorRef2 = useRef<RichTextEditorComponent>(null);
    let editorRef3 = useRef<RichTextEditorComponent>(null);
    let headerText = [{ text: 'TAB 1' }, { text: 'TAB 2' }, { text: 'TAB 3' }];
    const tools = {
      items: [
        'Bold',
        'Italic',
        'Underline',
        'StrikeThrough',
        'FontName',
        'FontSize',
        'FontColor',
        'BackgroundColor',
        'LowerCase',
        'UpperCase',
        '|',
        'Formats',
        'Alignments',
        'OrderedList',
        'UnorderedList',
        'Outdent',
        'Indent',
        '|',
        'CreateLink',
        'Image',
        '|',
        'ClearFormat',
        'Print',
        'SourceCode',
        'FullScreen',
        '|',
        'Undo',
        'Redo',
      ],
    };
  
    const content1 = () => {
      return (
        <div>
          <RichTextEditorComponent ref={editorRef1} toolbarSettings={tools}>
            <Inject
              services={[
                Toolbar,
                Link,
                Image,
                HtmlEditor,
                QuickToolbar,
                Table,
                PasteCleanup,
              ]}
            />
          </RichTextEditorComponent>
        </div>
      );
    };
  
    const content2 = () => {
      return (
        <div>
          <RichTextEditorComponent ref={editorRef2} toolbarSettings={tools}>
            <Inject
              services={[
                Toolbar,
                Link,
                Image,
                HtmlEditor,
                QuickToolbar,
                Table,
                PasteCleanup,
              ]}
            />
          </RichTextEditorComponent>
        </div>
      );
    };
  
    const content3 = () => {
      return (
        <div>
          <RichTextEditorComponent ref={editorRef3} toolbarSettings={tools}>
            <Inject
              services={[
                Toolbar,
                Link,
                Image,
                HtmlEditor,
                QuickToolbar,
                Table,
                PasteCleanup,
              ]}
            />
          </RichTextEditorComponent>
        </div>
      );
    };
  
  return (
    <div>
      <TabComponent heightAdjustMode="Auto">
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={content1} />
          <TabItemDirective header={headerText[1]} content={content2} />
          <TabItemDirective header={headerText[2]} content={content3} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
export default App;

Integrating Rich Text Editor in Tab Components

18 Nov 20186 minutes to read

Integrating a Rich Text Editor within Tab components provides a versatile and organized user interface for text formatting and content creation across multiple tabs. Each tab instance includes a dedicated editor instance configured with extensive toolbar options, enabling users to effortlessly manipulate text styles, apply formatting, insert media, and manage content layout.

<template>
  <div id="app">
    <ejs-tab id="element">
      <e-tabitems>
        <e-tabitem :header="header1" :content="'rteTemplate1'">
          <template v-slot:rteTemplate1>
            <div><ejs-richtexteditor ref="editor"></ejs-richtexteditor><div>
          </template>
        </e-tabitem>
        <e-tabitem :header="header2" :content="'rteTemplate2'">
          <template v-slot:rteTemplate2>
          <div><ejs-richtexteditor ref="editor"></ejs-richtexteditor><div>
          </template>
        </e-tabitem>
        <e-tabitem :header="header3" :content="'rteTemplate3'">
          <template v-slot:rteTemplate3>
          <div><ejs-richtexteditor ref="editor"></ejs-richtexteditor><div>
          </template>
        </e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>

<script setup>
import { provide, ref } from "vue";
import {
  TabComponent as EjsTab,
  TabItemsDirective as ETabitem,
  TabItemDirective as ETabitems,
} from '@syncfusion/ej2-vue-navigations';
import {
  RichTextEditorComponent as EjsRichtexteditor,
  Toolbar,
  Link,
  Image,
  Count,
  HtmlEditor,
  QuickToolbar,
} from '@syncfusion/ej2-vue-richtexteditor';

const header1 = { text: 'TAB 1' },
const header2: { text: 'TAB 2' },
const header3: { text: 'TAB 3' },
provide('richtexteditor', [Toolbar, Link, Image, HtmlEditor, QuickToolbar]);
</script>

<style>
@import "https://ej2.syncfusion.com/vue/documentation/../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-dropdowns/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>
<template>
  <div id="app">
    <ejs-tab id="element">
      <e-tabitems>
        <e-tabitem :header="header1" :content="'rteTemplate1'">
          <template v-slot:rteTemplate1>
            <div><ejs-richtexteditor ref="editor"></ejs-richtexteditor><div>
          </template>
        </e-tabitem>
        <e-tabitem :header="header2" :content="'rteTemplate2'">
          <template v-slot:rteTemplate2>
          <div><ejs-richtexteditor ref="editor"></ejs-richtexteditor><div>
          </template>
        </e-tabitem>
        <e-tabitem :header="header3" :content="'rteTemplate3'">
          <template v-slot:rteTemplate3>
          <div><ejs-richtexteditor ref="editor"></ejs-richtexteditor><div>
          </template>
        </e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>

<script>
import {
  TabComponent,
  TabItemsDirective,
  TabItemDirective,
} from '@syncfusion/ej2-vue-navigations';
import {
  RichTextEditorComponent,
  Toolbar,
  Link,
  Image,
  Count,
  HtmlEditor,
  QuickToolbar,
} from '@syncfusion/ej2-vue-richtexteditor';

export default {
 name: 'App',
  components: {
    'ejs-tab': TabComponent,
    'e-tabitems': TabItemsDirective,
    'e-tabitem': TabItemDirective,
    'ejs-richtexteditor': RichTextEditorComponent,
  },
  data: function () {
    return {
      header1: { text: 'TAB 1' },
      header2: { text: 'TAB 2' },
      header3: { text: 'TAB 3' },
    };
  },
  provide: {
    richtexteditor: [Toolbar, Link, Image, Count, HtmlEditor, QuickToolbar],
  },
};
</script>

<style>
@import "https://ej2.syncfusion.com/vue/documentation/../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-dropdowns/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>